Package org.firebirdsql.gds.ng.monitor

## Enum Operation.Type

- java.lang.Object
- - java.lang.Enum<Operation.Type>
  - - org.firebirdsql.gds.ng.monitor.Operation.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Operation.Type>`
  Enclosing interface:
    Operation

      public static enum Operation.Type
      extends java.lang.Enum<Operation.Type>

  Type of operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `STATEMENT_EXECUTE` |
    `STATEMENT_FETCH` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Operation.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Operation.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATEMENT_EXECUTE

          public static final Operation.Type STATEMENT_EXECUTE

    - #### STATEMENT_FETCH

          public static final Operation.Type STATEMENT_FETCH

  - ### Method Detail

    - #### values

          public static Operation.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operation.Type c : Operation.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operation.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null